## net.sf.antcontrib.process
Class ForgetTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Sequential
                  net.sf.antcontrib.process.ForgetTask

All Implemented Interfaces:
  java.lang.Runnable, org.apache.tools.ant.TaskContainer

    public class ForgetTask

extends org.apache.tools.ant.taskdefs.Sequential
implements java.lang.Runnable

Place class description here.

Since:
Author:
  Matthew Inger, <additional author>

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ForgetTask()`

Method Summary
`void` `execute()`
`void` `run()`
`void` `setDaemon(boolean daemon)`

Methods inherited from class org.apache.tools.ant.taskdefs.Sequential
`addTask`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ForgetTask

    public ForgetTask()

Method Detail

### setDaemon

    public void setDaemon(boolean daemon)

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.taskdefs.Sequential`

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`